Subject: Re: [net-next PATCH] net: sfp: add quirk for Fiberstone GPON-ONU-34-20BI

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 19 Sep 2023 14:40:15 +0100

On Tue, Sep 19, 2023 at 02:47:20PM +0200, Christian Marangi wrote:
> Fiberstone GPON-ONU-34-20B can operate at 2500base-X, but report 1.2GBd
> NRZ in their EEPROM.
> 
> The module also require the ignore tx fault fixup similar to Huawei MA5671A
> as it gets disabled on error messages with serial redirection enabled.

I'll send you shortly a different approach for the "ignore tx fault"
thing that I'd like you to test please.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!